// SortableJS library configration script

const containerDrag = document.getElementById('a');
const containerDrop = document.getElementById('b');

Sortable.create(containerDrag, {
	group: {
		name: "container-img",
		pull: "clone",
		put: false
	},
	delay : 0,
	animation: 250,
	easing: "cubic-bezier(0.34, 1.56, 0.64, 1)",  // https://easings.net/#easeOutBack
	sort: false, // disable reorganization

	// Sortable.js move the original element to the target <div> and creat a clone to the origin <div> 
	// Adding the addEventListener to the clone created
	onClone: function (evt) {
		evt.clone.addEventListener('click', () => {
			direMot();
		});
	}

});

Sortable.create(containerDrop, {
	group: {
		name: "container-img"
	},
	direction: "vertical",     // To prevent elements from moving as soon as the element enters the zone from above.
	animation: 250,
	easing: "cubic-bezier(0.34, 1.56, 0.64, 1)",
	ghostClass: "futur-place"
});

